# Draw
TKXSDRAW
XSDRAWSTLVRML

# XSDRAWSTLVRML_DrawableMesh Class Reference

`#include <XSDRAWSTLVRML_DrawableMesh.hxx>`

Inheritance diagram for XSDRAWSTLVRML_DrawableMesh:

[legend]

## Public Member Functions

Standard_EXPORT | XSDRAWSTLVRML_DrawableMesh (const Handle(MeshVS_Mesh)&aMesh)
virtual Standard_EXPORT void | DrawOn (Draw_Display &dis) const
Standard_EXPORT Handle_MeshVS_Mesh | GetMesh () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_MeshVS_Mesh | myMesh

## Constructor & Destructor Documentation

Standard_EXPORT XSDRAWSTLVRML_DrawableMesh::XSDRAWSTLVRML_DrawableMesh | ( | const Handle(MeshVS_Mesh)& | aMesh | ) |

## Member Function Documentation

virtual Standard_EXPORT void XSDRAWSTLVRML_DrawableMesh::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

Standard_EXPORT Handle_MeshVS_Mesh XSDRAWSTLVRML_DrawableMesh::GetMesh | ( |  | ) | const

Standard_EXPORT const XSDRAWSTLVRML_DrawableMesh::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D.

## Field Documentation

Handle_MeshVS_Mesh XSDRAWSTLVRML_DrawableMesh::myMesh `[private]`

The documentation for this class was generated from the following file:

- XSDRAWSTLVRML_DrawableMesh.hxx